import { defHttp } from '@/utils/http/axios';

enum Api {
  // 附件下载接口
  download = '/pro/annex/download',
}
// 附件下载接口
export const annexDownload = (params?: any) =>
  defHttp.post<any>(
    {
      url: Api.download,
      data: params,
      'Content-Type': 'application/form-data;charset=UTF-8',
      responseType: 'blob',
    },
    { errorMessageMode: 'none', isTransformResponse: false },
  );
