import { defHttp } from '@/utils/http/axios';

//文件下载接口
export const downloadFileFunction = (url: string, params?: any) =>
    defHttp.post<any>(
        {
        responseType: 'blob',
        url,
        data:params,
        headers: {
            'Content-Type': 'application/json;charset=UTF-8',
        }
    },
        {errorMessageMode: 'none', isTransformResponse: false}

    );
