import { ProjectParams } from '@/api/project/model/projectModel';
import { defHttp } from '@/utils/http/axios';

enum Api {
  LIST = '/pro/reportCenter/tendermanage',
  DETAIL = '/pro/reportCenter/details/tenderManage',
}

//招标管理列表接口
export const tenderManageList = (params) =>
  defHttp.post({
    url: Api.LIST,
    params,
  });

//招标管理详情接口
export const tenderManageDetail = (params) =>
  defHttp.post({
    url: Api.DETAIL,
    params,
  });
