import { ProjectParams } from '@/api/project/model/projectModel';
import { defHttp } from '@/utils/http/axios';

enum Api {
  LIST = '/pro/reportCenter/overdueFunds',
  DETAIL = '/pro/reportCenter/details/overdueFunds',
}

//已竣工列表接口
export const overdueList = (params) =>
  defHttp.post({
    url: Api.LIST,
    params,
  });

//已竣工详情接口
export const overdueDetail = (params) =>
  defHttp.post({
    url: Api.DETAIL,
    params,
  });
