import { BasicPageParams, BasicFetchResult } from '@/api/model/baseModel';

export type ProjectParams = {
  projectName?: string;
};

export type ProjectPageParams = BasicPageParams & ProjectParams;
export interface ListItem {
  id?: string | number;
  proId?: any;
  tenderId?: any;
  proNumber?: string | number;
  biddingQuarter?: string | number;
  tendeYear?: string | number;
  revieweUser?: string | number;
  reviewTime?: string | number;
  reviewStatus?: string | number;
  createTime?: string | number;
  createBy?: string | number;
  updatetTime?: string | number;
  updateBy?: string | number;
  companyName?: string | number;
  delFlag?: string | number;
  totalInvestment: number;
}

export interface ProjectModel {
  id?: string | number;
  proNumber?: string | number;
  biddingQuarter?: any;
  tenderYear?: any;
  investmentPlan?: any;
}
export interface planModel {
  id?: string | number;
  projectInitiator: string | number;
  proId?: any;
  tenderId?: any;
  investmentAmount: string | number;
  biddinType: string | number;
  controlPrice: string | number;
  plannedPeriod: string | number;
  biddingPeriod: string | number;
  biddingMethod: string | number;
  tendercontent: string | number;
  remark: string | number;
}
export type ListGetResultModel = BasicFetchResult<ListItem>;
export type editModel = ProjectModel<ListItem>;
